#ifndef _WM_HPP_
#define _WM_HPP_

void AddKeyHandler(void (*handler)(int, int));
void AddMouseHandler(void (*handler)(int, int, int, int, int));
void AddDrawHandler(void (*handler)());
void AddIdleHandler(void (*handler)());

int EventLoop();
void ExitEventLoop();


#define KEY_BACKSPACE	0xFF08	/* back space, back char */
#define KEY_TAB			0xFF09
#define KEY_LINEFEED	0xFF0A	/* Linefeed, LF */
#define KEY_CLEAR		0xFF0B
#define KEY_RETURN		0xFF0D	/* Return, enter */
#define KEY_PAUSE		0xFF13	/* Pause, hold */
#define KEY_SCROLL_LOCK	0xFF14
#define KEY_SYS_REQ		0xFF15
#define KEY_ESCAPE		0xFF1B
#define KEY_DELETE		0xFFFF	/* Delete, rubout */


#endif	// _WM_HPP_
